# PSF-LoginServer - master - net.psforever.types.SpawnGroup
PSF - LoginServer - master - net.psforever.types.SpawnGroup
Keywords: PSF LoginServer master net.psforever.types.SpawnGroup

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package types
  Definition Classes
    psforever
- Angular
- BailType
- CapacitorStateType
- CargoStatus
- CharacterSex
- CharacterVoice
- ChatMessageType
- DriveState
- EmoteType
- ExoSuitType
- GrenadeState
- HartSequence
- ImplantType
- LazeWaypoint
- LoadoutType
- MeritCommendation
- OxygenState
- PlanetSideEmpire
- PlanetSideGUID
- PlanetSideGeneratorState
- SpawnGroup
- SquadRequestType
- SquadResponseType
- SquadWaypoint
- StalePlanetSideGUID
- StandardWaypoint
- TransactionType
- ValidPlanetSideGUID
- Vector3
- WaypointSubtype

o

net.psforever.types

# SpawnGroup 

###
Companion class SpawnGroup

#### object SpawnGroup extends IntEnum[SpawnGroup]

Source
  SpawnGroup.scala

Linear Supertypes
IntEnum[SpawnGroup], ValueEnum[Int, SpawnGroup], AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SpawnGroup
2. IntEnum
3. ValueEnum
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  macro def findValues: IndexedSeq[SpawnGroup]
   Attributes
     protected
   Definition Classes
     IntEnum
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
17.  def toString(): String
    Definition Classes
      AnyRef → Any
18.  val values: IndexedSeq[SpawnGroup]
    Definition Classes
      SpawnGroup → ValueEnum
19.  final lazy val valuesToEntriesMap: Map[Int, SpawnGroup]
    Definition Classes
      ValueEnum
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
23.  def withValue(i: Int): SpawnGroup
    Definition Classes
      ValueEnum
    Annotations
      @SuppressWarnings()
24.  def withValueEither(i: Int): Either[NoSuchMember[Int, ValueEnumEntry[Int]], SpawnGroup]
    Definition Classes
      ValueEnum
25.  def withValueOpt(i: Int): Option[SpawnGroup]
    Definition Classes
      ValueEnum
26.  case object AMS extends SpawnGroup with Product with Serializable
27.  case object BoundAMS extends SpawnGroup with Product with Serializable
28.  case object BoundFacility extends SpawnGroup with Product with Serializable
29.  case object BoundTower extends SpawnGroup with Product with Serializable
30.  case object Facility extends SpawnGroup with Product with Serializable
31.  case object Sanctuary extends SpawnGroup with Product with Serializable
32.  case object Tower extends SpawnGroup with Product with Serializable
33.  case object Unknown10 extends SpawnGroup with Product with Serializable
34.  case object Unknown11 extends SpawnGroup with Product with Serializable
35.  case object Unknown3 extends SpawnGroup with Product with Serializable
36.  case object Unknown8 extends SpawnGroup with Product with Serializable
37.  case object Unknown9 extends SpawnGroup with Product with Serializable
38.  case object WarpGate extends SpawnGroup with Product with Serializable

### Inherited from IntEnum[SpawnGroup]

### Inherited from ValueEnum[Int, SpawnGroup]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped